Bug 194320 - Turn On Smart Delete
Summary: Turn On Smart Delete
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Megan Gardner
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-02-05 16:45 PST by Megan Gardner
Modified: 2019-02-18 08:55 PST (History)
6 users (show)

See Also:


Attachments
Patch (2.31 KB, patch)
2019-02-05 16:46 PST, Megan Gardner
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews124 for ios-simulator-wk2 (2.91 MB, application/zip)
2019-02-05 19:44 PST, Build Bot
no flags Details
Patch (162.25 KB, patch)
2019-02-11 16:07 PST, Megan Gardner
no flags Details | Formatted Diff | Diff
Patch (159.68 KB, patch)
2019-02-11 16:18 PST, Megan Gardner
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews123 for ios-simulator-wk2 (3.06 MB, application/zip)
2019-02-11 19:01 PST, Build Bot
no flags Details
Patch (197.20 KB, patch)
2019-02-12 11:49 PST, Megan Gardner
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews104 for mac-highsierra-wk2 (2.88 MB, application/zip)
2019-02-12 12:50 PST, Build Bot
no flags Details
Archive of layout-test-results from ews100 for mac-highsierra (2.80 MB, application/zip)
2019-02-12 12:54 PST, Build Bot
no flags Details
Archive of layout-test-results from ews202 for win-future (13.08 MB, application/zip)
2019-02-12 13:45 PST, Build Bot
no flags Details
Archive of layout-test-results from ews124 for ios-simulator-wk2 (2.69 MB, application/zip)
2019-02-12 13:51 PST, Build Bot
no flags Details
Patch (202.72 KB, patch)
2019-02-12 15:55 PST, Megan Gardner
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-highsierra (2.80 MB, application/zip)
2019-02-12 16:52 PST, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-highsierra-wk2 (2.78 MB, application/zip)
2019-02-12 17:45 PST, Build Bot
no flags Details
Archive of layout-test-results from ews126 for ios-simulator-wk2 (17.36 MB, application/zip)
2019-02-12 18:31 PST, Build Bot
no flags Details
Archive of layout-test-results from ews202 for win-future (13.05 MB, application/zip)
2019-02-12 18:55 PST, Build Bot
no flags Details
Patch (202.15 KB, patch)
2019-02-13 15:52 PST, Megan Gardner
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-highsierra (2.56 MB, application/zip)
2019-02-13 16:35 PST, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-highsierra-wk2 (2.67 MB, application/zip)
2019-02-13 17:00 PST, Build Bot
no flags Details
Archive of layout-test-results from ews115 for mac-highsierra (1.93 MB, application/zip)
2019-02-13 17:40 PST, Build Bot
no flags Details
Archive of layout-test-results from ews125 for ios-simulator-wk2 (39.66 MB, application/zip)
2019-02-13 17:51 PST, Build Bot
no flags Details
Archive of layout-test-results from ews205 for win-future (12.88 MB, application/zip)
2019-02-14 01:02 PST, Build Bot
no flags Details
Patch (200.74 KB, patch)
2019-02-14 08:31 PST, Megan Gardner
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews204 for win-future (12.89 MB, application/zip)
2019-02-14 10:22 PST, Build Bot
no flags Details
Archive of layout-test-results from ews121 for ios-simulator-wk2 (16.63 MB, application/zip)
2019-02-14 10:38 PST, Build Bot
no flags Details
Patch (200.65 KB, patch)
2019-02-14 16:04 PST, Megan Gardner
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-highsierra (2.56 MB, application/zip)
2019-02-14 17:07 PST, Build Bot
no flags Details
Archive of layout-test-results from ews117 for mac-highsierra (2.18 MB, application/zip)
2019-02-14 17:45 PST, Build Bot
no flags Details
Archive of layout-test-results from ews121 for ios-simulator-wk2 (33.00 MB, application/zip)
2019-02-14 18:33 PST, Build Bot
no flags Details
Archive of layout-test-results from ews201 for win-future (12.91 MB, application/zip)
2019-02-15 05:35 PST, Build Bot
no flags Details
Patch (211.79 KB, patch)
2019-02-15 08:41 PST, Megan Gardner
ews: commit-queue-
Details | Formatted Diff | Diff
Patch (281.94 KB, patch)
2019-02-15 09:54 PST, Megan Gardner
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews126 for ios-simulator-wk2 (9.84 MB, application/zip)
2019-02-15 10:34 PST, Build Bot
no flags Details
Patch (281.86 KB, patch)
2019-02-15 10:48 PST, Megan Gardner
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews206 for win-future (12.86 MB, application/zip)
2019-02-15 10:52 PST, Build Bot
no flags Details
Patch (281.86 KB, patch)
2019-02-15 11:10 PST, Megan Gardner
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews125 for ios-simulator-wk2 (17.21 MB, application/zip)
2019-02-15 12:02 PST, Build Bot
no flags Details
Archive of layout-test-results from ews205 for win-future (12.87 MB, application/zip)
2019-02-15 12:24 PST, Build Bot
no flags Details
Archive of layout-test-results from ews202 for win-future (12.89 MB, application/zip)
2019-02-15 13:20 PST, Build Bot
no flags Details
Patch (281.86 KB, patch)
2019-02-15 13:33 PST, Megan Gardner
no flags Details | Formatted Diff | Diff
Patch (282.45 KB, patch)
2019-02-15 16:48 PST, Megan Gardner
no flags Details | Formatted Diff | Diff
Patch for landing (282.48 KB, patch)
2019-02-18 08:15 PST, Megan Gardner
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Megan Gardner 2019-02-05 16:45:18 PST
Turn On Smart Delete
Comment 1 Megan Gardner 2019-02-05 16:46:00 PST
Created attachment 361247 [details]
Patch
Comment 2 Build Bot 2019-02-05 16:48:34 PST
Attachment 361247 [details] did not pass style-queue:


ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 1 in 3 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Build Bot 2019-02-05 19:44:20 PST
Comment on attachment 361247 [details]
Patch

Attachment 361247 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/11047312

New failing tests:
editing/pasteboard/cut-text-001.html
editing/pasteboard/smart-paste-007.html
editing/pasteboard/smart-paste-008.html
Comment 4 Build Bot 2019-02-05 19:44:21 PST
Created attachment 361269 [details]
Archive of layout-test-results from ews124 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews124  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 5 Megan Gardner 2019-02-11 16:07:12 PST
Created attachment 361725 [details]
Patch
Comment 6 Megan Gardner 2019-02-11 16:18:22 PST
Created attachment 361728 [details]
Patch
Comment 7 Build Bot 2019-02-11 16:21:40 PST
Attachment 361728 [details] did not pass style-queue:


ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 1 in 25 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 8 Build Bot 2019-02-11 19:01:56 PST
Comment on attachment 361728 [details]
Patch

Attachment 361728 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/11115942

New failing tests:
editing/deleting/delete-block-merge-contents-017.html
editing/pasteboard/paste-2.html
editing/execCommand/delete-line-and-insert-text-in-font-inside-blockquote.html
editing/deleting/delete-block-merge-contents-012.html
editing/deleting/delete-ws-fixup-004.html
editing/deleting/delete-across-editable-content-boundaries-3.html
editing/deleting/table-cells.html
editing/selection/delete-word-granularity-text-control.html
editing/deleting/delete-and-undo.html
editing/deleting/delete-leading-ws-001.html
editing/deleting/delete-ws-fixup-003.html
editing/deleting/5206311-1.html
editing/deleting/delete-contiguous-ws-001.html
editing/deleting/delete-ws-fixup-002.html
editing/deleting/delete-across-editable-content-boundaries-2.html
editing/deleting/delete-trailing-ws-001.html
editing/deleting/smart-delete-004.html
editing/deleting/smart-delete-001.html
editing/deleting/delete-image-003.html
editing/deleting/delete-selection-001.html
Comment 9 Build Bot 2019-02-11 19:01:58 PST
Created attachment 361753 [details]
Archive of layout-test-results from ews123 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews123  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 10 Megan Gardner 2019-02-12 11:49:37 PST
Created attachment 361816 [details]
Patch
Comment 11 Build Bot 2019-02-12 11:53:13 PST
Attachment 361816 [details] did not pass style-queue:


ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 1 in 42 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 12 Build Bot 2019-02-12 12:50:02 PST
Comment on attachment 361816 [details]
Patch

Attachment 361816 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/11124744

New failing tests:
editing/pasteboard/smart-paste-001.html
editing/pasteboard/4944770-2.html
editing/pasteboard/smart-paste-005.html
editing/pasteboard/smart-paste-007.html
editing/pasteboard/smart-paste-008.html
editing/deleting/smart-delete-002.html
editing/deleting/delete-leading-ws-001.html
editing/pasteboard/smart-paste-002.html
editing/pasteboard/smart-paste-003.html
editing/undo/undo-smart-delete-word.html
editing/undo/undo-smart-delete-reversed-selection.html
editing/deleting/smart-delete-003.html
editing/deleting/smart-delete-004.html
editing/deleting/smart-delete-001.html
Comment 13 Build Bot 2019-02-12 12:50:04 PST
Created attachment 361821 [details]
Archive of layout-test-results from ews104 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 14 Build Bot 2019-02-12 12:54:45 PST
Comment on attachment 361816 [details]
Patch

Attachment 361816 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/11124792

New failing tests:
editing/pasteboard/smart-paste-001.html
editing/pasteboard/subframe-dragndrop-1.html
editing/pasteboard/4944770-2.html
editing/pasteboard/smart-paste-005.html
editing/pasteboard/smart-paste-007.html
editing/pasteboard/smart-drag-drop.html
editing/pasteboard/smart-paste-008.html
editing/pasteboard/smart-paste-004.html
editing/deleting/smart-delete-002.html
editing/deleting/delete-leading-ws-001.html
fast/lists/drag-into-marker.html
editing/pasteboard/smart-paste-002.html
editing/pasteboard/smart-paste-003.html
fast/events/ondragenter.html
editing/undo/undo-smart-delete-word.html
editing/pasteboard/drag-drop-list.html
editing/undo/undo-smart-delete-reversed-selection.html
editing/deleting/smart-delete-003.html
editing/deleting/smart-delete-004.html
editing/deleting/smart-delete-001.html
Comment 15 Build Bot 2019-02-12 12:54:46 PST
Created attachment 361823 [details]
Archive of layout-test-results from ews100 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 16 Build Bot 2019-02-12 13:45:05 PST
Comment on attachment 361816 [details]
Patch

Attachment 361816 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/11125197

New failing tests:
fast/events/ondragenter.html
editing/deleting/smart-delete-002.html
editing/deleting/delete-leading-ws-001.html
fast/lists/drag-into-marker.html
editing/undo/undo-smart-delete-word.html
editing/undo/undo-smart-delete-reversed-selection.html
editing/deleting/smart-delete-003.html
editing/deleting/smart-delete-004.html
editing/deleting/smart-delete-001.html
Comment 17 Build Bot 2019-02-12 13:45:17 PST
Created attachment 361831 [details]
Archive of layout-test-results from ews202 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews202  Port: win-future  Platform: CYGWIN_NT-6.1-2.10.0-0.325-5-3-x86_64-64bit
Comment 18 Build Bot 2019-02-12 13:51:22 PST
Comment on attachment 361816 [details]
Patch

Attachment 361816 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/11124903

New failing tests:
editing/deleting/delete-ws-fixup-004.html
editing/deleting/delete-contiguous-ws-001.html
editing/deleting/table-cells.html
editing/deleting/delete-block-merge-contents-012.html
editing/deleting/delete-across-editable-content-boundaries-3.html
editing/selection/delete-word-granularity-text-control.html
editing/deleting/delete-ws-fixup-002.html
editing/deleting/delete-image-003.html
editing/pasteboard/paste-2.html
editing/deleting/delete-ws-fixup-003.html
editing/deleting/5206311-1.html
editing/deleting/smart-delete-004.html
editing/deleting/delete-trailing-ws-001.html
editing/deleting/delete-selection-001.html
editing/deleting/delete-block-merge-contents-017.html
editing/deleting/smart-delete-001.html
editing/pasteboard/cut-text-001.html
editing/deleting/smart-delete-002.html
editing/deleting/delete-and-undo.html
editing/deleting/delete-across-editable-content-boundaries-2.html
editing/deleting/smart-delete-003.html
editing/execCommand/delete-line-and-insert-text-in-font-inside-blockquote.html
Comment 19 Build Bot 2019-02-12 13:51:23 PST
Created attachment 361834 [details]
Archive of layout-test-results from ews124 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews124  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 20 Megan Gardner 2019-02-12 15:55:46 PST
Created attachment 361858 [details]
Patch
Comment 21 Build Bot 2019-02-12 16:52:07 PST
Comment on attachment 361858 [details]
Patch

Attachment 361858 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/11127855

New failing tests:
editing/pasteboard/smart-paste-001.html
editing/pasteboard/subframe-dragndrop-1.html
editing/pasteboard/4944770-2.html
editing/pasteboard/smart-paste-005.html
editing/pasteboard/smart-paste-007.html
editing/pasteboard/smart-drag-drop.html
editing/pasteboard/smart-paste-008.html
editing/pasteboard/smart-paste-004.html
editing/deleting/smart-delete-002.html
fast/lists/drag-into-marker.html
editing/pasteboard/smart-paste-002.html
editing/pasteboard/smart-paste-003.html
fast/events/ondragenter.html
editing/undo/undo-smart-delete-word.html
editing/pasteboard/drag-drop-list.html
editing/undo/undo-smart-delete-reversed-selection.html
editing/deleting/smart-delete-003.html
editing/deleting/smart-delete-004.html
editing/deleting/smart-delete-001.html
Comment 22 Build Bot 2019-02-12 16:52:08 PST
Created attachment 361867 [details]
Archive of layout-test-results from ews101 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 23 Build Bot 2019-02-12 17:45:31 PST
Comment on attachment 361858 [details]
Patch

Attachment 361858 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/11128570

New failing tests:
editing/pasteboard/smart-paste-001.html
editing/pasteboard/4944770-2.html
editing/pasteboard/smart-paste-005.html
editing/pasteboard/smart-paste-007.html
editing/pasteboard/smart-paste-008.html
editing/deleting/smart-delete-002.html
editing/pasteboard/smart-paste-002.html
editing/pasteboard/smart-paste-003.html
editing/undo/undo-smart-delete-word.html
editing/undo/undo-smart-delete-reversed-selection.html
editing/deleting/smart-delete-003.html
editing/deleting/smart-delete-004.html
editing/deleting/smart-delete-001.html
Comment 24 Build Bot 2019-02-12 17:45:32 PST
Created attachment 361877 [details]
Archive of layout-test-results from ews104 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 25 Build Bot 2019-02-12 18:31:03 PST
Comment on attachment 361858 [details]
Patch

Attachment 361858 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/11128710

New failing tests:
editing/deleting/delete-ws-fixup-004.html
editing/selection/delete-word-granularity-text-control.html
editing/deleting/delete-contiguous-ws-001.html
editing/deleting/table-cells.html
editing/deleting/delete-block-merge-contents-012.html
editing/deleting/delete-across-editable-content-boundaries-3.html
editing/deleting/smart-delete-across-editable-boundaries.html
editing/deleting/delete-ws-fixup-002.html
editing/deleting/delete-image-003.html
editing/pasteboard/paste-2.html
editing/deleting/delete-ws-fixup-003.html
editing/deleting/5206311-1.html
editing/deleting/smart-delete-004.html
editing/deleting/delete-trailing-ws-001.html
editing/deleting/delete-selection-001.html
editing/deleting/delete-block-merge-contents-017.html
editing/input/ios/rtl-keyboard-input-on-focus.html
editing/execCommand/delete-line-and-insert-text-in-font-inside-blockquote.html
editing/pasteboard/cut-text-001.html
editing/deleting/smart-delete-002.html
editing/deleting/delete-and-undo.html
editing/deleting/delete-leading-ws-001.html
editing/deleting/delete-across-editable-content-boundaries-2.html
editing/deleting/smart-delete-003.html
editing/deleting/smart-delete-001.html
Comment 26 Build Bot 2019-02-12 18:31:06 PST
Created attachment 361887 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 27 Build Bot 2019-02-12 18:55:17 PST
Comment on attachment 361858 [details]
Patch

Attachment 361858 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/11129449

New failing tests:
fast/events/ondragenter.html
editing/deleting/smart-delete-002.html
fast/lists/drag-into-marker.html
editing/undo/undo-smart-delete-word.html
editing/undo/undo-smart-delete-reversed-selection.html
editing/deleting/smart-delete-003.html
editing/deleting/smart-delete-004.html
editing/deleting/smart-delete-001.html
Comment 28 Build Bot 2019-02-12 18:55:29 PST
Created attachment 361888 [details]
Archive of layout-test-results from ews202 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews202  Port: win-future  Platform: CYGWIN_NT-6.1-2.10.0-0.325-5-3-x86_64-64bit
Comment 29 Megan Gardner 2019-02-13 15:52:12 PST
Created attachment 361949 [details]
Patch
Comment 30 Build Bot 2019-02-13 16:35:23 PST
Comment on attachment 361949 [details]
Patch

Attachment 361949 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/11139502

New failing tests:
editing/deleting/smart-delete-001.html
Comment 31 Build Bot 2019-02-13 16:35:25 PST
Created attachment 361960 [details]
Archive of layout-test-results from ews100 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 32 Build Bot 2019-02-13 17:00:19 PST
Comment on attachment 361949 [details]
Patch

Attachment 361949 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/11139701

New failing tests:
editing/deleting/smart-delete-001.html
Comment 33 Build Bot 2019-02-13 17:00:21 PST
Created attachment 361968 [details]
Archive of layout-test-results from ews104 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 34 Build Bot 2019-02-13 17:40:39 PST
Comment on attachment 361949 [details]
Patch

Attachment 361949 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/11140071

New failing tests:
editing/deleting/smart-delete-001.html
Comment 35 Build Bot 2019-02-13 17:40:41 PST
Created attachment 361975 [details]
Archive of layout-test-results from ews115 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 36 Build Bot 2019-02-13 17:51:10 PST
Comment on attachment 361949 [details]
Patch

Attachment 361949 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/11140079

New failing tests:
editing/deleting/delete-ws-fixup-004.html
editing/deleting/smart-delete-across-editable-boundaries.html
editing/deleting/delete-contiguous-ws-001.html
editing/deleting/table-cells.html
editing/deleting/delete-block-merge-contents-012.html
editing/deleting/delete-across-editable-content-boundaries-3.html
editing/selection/delete-word-granularity-text-control.html
editing/deleting/delete-ws-fixup-002.html
editing/deleting/delete-image-003.html
editing/pasteboard/paste-2.html
editing/deleting/delete-ws-fixup-003.html
editing/deleting/5206311-1.html
editing/deleting/smart-delete-004.html
editing/deleting/smart-delete-003.html
editing/deleting/delete-selection-001.html
editing/deleting/delete-block-merge-contents-017.html
editing/input/ios/rtl-keyboard-input-on-focus.html
editing/deleting/smart-delete-001.html
editing/pasteboard/cut-text-001.html
editing/deleting/smart-delete-002.html
editing/deleting/delete-and-undo.html
editing/deleting/delete-leading-ws-001.html
editing/deleting/delete-across-editable-content-boundaries-2.html
editing/deleting/delete-trailing-ws-001.html
editing/execCommand/delete-line-and-insert-text-in-font-inside-blockquote.html
Comment 37 Build Bot 2019-02-13 17:51:13 PST
Created attachment 361977 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 38 Build Bot 2019-02-14 01:02:12 PST
Comment on attachment 361949 [details]
Patch

Attachment 361949 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/11144109

New failing tests:
editing/deleting/smart-delete-003.html
editing/deleting/smart-delete-004.html
editing/deleting/smart-delete-001.html
editing/deleting/smart-delete-002.html
Comment 39 Build Bot 2019-02-14 01:02:23 PST
Created attachment 362003 [details]
Archive of layout-test-results from ews205 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews205  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 40 Megan Gardner 2019-02-14 08:31:48 PST
Created attachment 362018 [details]
Patch
Comment 41 Build Bot 2019-02-14 10:21:51 PST
Comment on attachment 362018 [details]
Patch

Attachment 362018 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/11148017

New failing tests:
editing/deleting/smart-delete-003.html
editing/deleting/smart-delete-004.html
editing/deleting/smart-delete-001.html
editing/deleting/smart-delete-002.html
Comment 42 Build Bot 2019-02-14 10:22:03 PST
Created attachment 362032 [details]
Archive of layout-test-results from ews204 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews204  Port: win-future  Platform: CYGWIN_NT-6.1-2.10.0-0.325-5-3-x86_64-64bit
Comment 43 Build Bot 2019-02-14 10:38:46 PST
Comment on attachment 362018 [details]
Patch

Attachment 362018 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/11147892

New failing tests:
editing/input/ios/rtl-keyboard-input-on-focus.html
editing/deleting/smart-delete-004.html
editing/deleting/smart-delete-across-editable-boundaries.html
editing/deleting/delete-across-editable-content-boundaries-2.html
editing/deleting/delete-leading-ws-001.html
Comment 44 Build Bot 2019-02-14 10:38:49 PST
Created attachment 362035 [details]
Archive of layout-test-results from ews121 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews121  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 45 Megan Gardner 2019-02-14 16:04:46 PST
Created attachment 362077 [details]
Patch
Comment 46 Build Bot 2019-02-14 17:07:24 PST
Comment on attachment 362077 [details]
Patch

Attachment 362077 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/11152519

New failing tests:
editing/deleting/delete-leading-ws-001.html
Comment 47 Build Bot 2019-02-14 17:07:26 PST
Created attachment 362082 [details]
Archive of layout-test-results from ews103 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 48 Build Bot 2019-02-14 17:45:26 PST
Comment on attachment 362077 [details]
Patch

Attachment 362077 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/11152559

New failing tests:
editing/deleting/delete-leading-ws-001.html
Comment 49 Build Bot 2019-02-14 17:45:30 PST
Created attachment 362087 [details]
Archive of layout-test-results from ews117 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 50 Build Bot 2019-02-14 18:33:33 PST
Comment on attachment 362077 [details]
Patch

Attachment 362077 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/11152972

New failing tests:
editing/deleting/smart-delete-004.html
editing/input/ios/rtl-keyboard-input-on-focus.html
Comment 51 Build Bot 2019-02-14 18:33:35 PST
Created attachment 362088 [details]
Archive of layout-test-results from ews121 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews121  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 52 Build Bot 2019-02-15 05:34:54 PST
Comment on attachment 362077 [details]
Patch

Attachment 362077 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/11158654

New failing tests:
editing/deleting/smart-delete-003.html
editing/deleting/smart-delete-004.html
editing/deleting/smart-delete-001.html
editing/deleting/smart-delete-002.html
editing/deleting/delete-leading-ws-001.html
Comment 53 Build Bot 2019-02-15 05:35:07 PST
Created attachment 362112 [details]
Archive of layout-test-results from ews201 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews201  Port: win-future  Platform: CYGWIN_NT-6.1-2.10.0-0.325-5-3-x86_64-64bit
Comment 54 Megan Gardner 2019-02-15 08:41:30 PST
Created attachment 362116 [details]
Patch
Comment 55 Megan Gardner 2019-02-15 09:54:45 PST
Created attachment 362121 [details]
Patch
Comment 56 Build Bot 2019-02-15 10:34:03 PST
Comment on attachment 362116 [details]
Patch

Attachment 362116 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/11160595

New failing tests:
editing/input/ios/rtl-keyboard-input-on-focus.html
editing/deleting/smart-delete-004.html
fast/viewport/ios/device-width-viewport-after-changing-view-scale.html
editing/deleting/delete-leading-ws-001.html
Comment 57 Build Bot 2019-02-15 10:34:06 PST
Created attachment 362125 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 58 Megan Gardner 2019-02-15 10:48:01 PST
Created attachment 362130 [details]
Patch
Comment 59 Build Bot 2019-02-15 10:52:01 PST
Comment on attachment 362116 [details]
Patch

Attachment 362116 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/11161019

New failing tests:
editing/deleting/smart-delete-003.html
editing/deleting/smart-delete-004.html
Comment 60 Build Bot 2019-02-15 10:52:13 PST
Created attachment 362131 [details]
Archive of layout-test-results from ews206 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews206  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 61 Megan Gardner 2019-02-15 11:10:15 PST
Created attachment 362132 [details]
Patch
Comment 62 Build Bot 2019-02-15 12:02:27 PST
Comment on attachment 362121 [details]
Patch

Attachment 362121 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/11161655

New failing tests:
editing/input/ios/rtl-keyboard-input-on-focus.html
editing/deleting/delete-leading-ws-001.html
Comment 63 Build Bot 2019-02-15 12:02:30 PST
Created attachment 362142 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 64 Build Bot 2019-02-15 12:23:52 PST
Comment on attachment 362121 [details]
Patch

Attachment 362121 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/11162198

New failing tests:
editing/deleting/smart-delete-003.html
editing/deleting/smart-delete-004.html
Comment 65 Build Bot 2019-02-15 12:24:04 PST
Created attachment 362145 [details]
Archive of layout-test-results from ews205 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews205  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 66 Build Bot 2019-02-15 13:20:35 PST
Comment on attachment 362132 [details]
Patch

Attachment 362132 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/11162911

New failing tests:
editing/deleting/smart-delete-003.html
editing/deleting/smart-delete-004.html
Comment 67 Build Bot 2019-02-15 13:20:47 PST
Created attachment 362150 [details]
Archive of layout-test-results from ews202 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews202  Port: win-future  Platform: CYGWIN_NT-6.1-2.10.0-0.325-5-3-x86_64-64bit
Comment 68 Megan Gardner 2019-02-15 13:33:35 PST
Created attachment 362151 [details]
Patch
Comment 69 Ryosuke Niwa 2019-02-15 15:53:55 PST
Comment on attachment 362151 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=362151&action=review

> Source/WebCore/editing/Editor.cpp:519
> +#if PLATFORM(IOS)
> +    return true;
> +#else

Instead of a compilation time flag, please use the editing behavior flag.

> LayoutTests/editing/deleting/smart-delete-003-expected.txt:19
> +foo baz

This doesn't look right. We have nbsp & space between "foo" and "baz". That would show up as two spaces.

> LayoutTests/editing/deleting/smart-delete-003.html:1
> +<html> 

Missing DOCTYPE.

> LayoutTests/editing/deleting/smart-delete-003.html:19
>  <script src=../editing.js language="JavaScript" type="text/JavaScript" ></script>

While we're at it, we might as well as just delete language & type.

> LayoutTests/editing/deleting/smart-delete-003.html:36
> +    await UIHelper.selectWordByDoubleTapOrClick(target);

selectWordByDoubleTapOrClick adds 5px padding to each position. Maybe that's too much for this test case?

> LayoutTests/editing/deleting/smart-delete-004-expected.txt:19
> +foo baz

Ditto. This has NBSP & SP.

> LayoutTests/editing/deleting/smart-delete-004.html:1
> +<html> 

Missing DOCTYPE.

> LayoutTests/editing/deleting/smart-delete-004.html:19
>  <script src=../editing.js language="JavaScript" type="text/JavaScript" ></script>

Ditto.

> LayoutTests/editing/selection/delete-word-granularity-text-control.html:34
> +if (!UIHelper.isIOS()) {

I think once we made the change to use the editing behavior as the way of toggling smart delete,
the right fix for this test is probably to just force the Mac editing behavior even on iOS.

Since the whole point of this test is to ensure smart delete doesn't kick in this particular circumstances,
it doesn't make much sense to test iOS behavior here.

> LayoutTests/editing/selection/delete-word-granularity-text-control.html:41
> +}
> +// However, on iOS, we have turned on smart delete in all cases, so it should delete the space
> +else {

Please put the comment inside the else clause, not between curly braces.

> LayoutTests/platform/ios/editing/deleting/delete-block-merge-contents-012-expected.txt:45
> +              text run at (0,1) width 170: "This is some text."

This is a nice improvement.
Comment 70 Ryosuke Niwa 2019-02-15 15:56:41 PST
Comment on attachment 362151 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=362151&action=review

>> LayoutTests/editing/deleting/smart-delete-003-expected.txt:19
>> +foo baz
> 
> This doesn't look right. We have nbsp & space between "foo" and "baz". That would show up as two spaces.

Never mind that. I was just getting fooled by the review cool. It's actually a single NBSP.

>> LayoutTests/editing/deleting/smart-delete-004-expected.txt:19
>> +foo baz
> 
> Ditto. This has NBSP & SP.

Ditto. Not an issue.
Comment 71 Ryosuke Niwa 2019-02-15 15:59:53 PST
Comment on attachment 362151 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=362151&action=review

> LayoutTests/resources/ui-helper.js:130
> +        if (this.isIOS()) {
> +            await UIHelper.doubleTapAt(x, y);

No curly braces around a single line statement.

> LayoutTests/resources/ui-helper.js:133
> +        } else {
> +            await UIHelper.doubleClickAt(x, y);
> +        }

Ditto.

> LayoutTests/resources/ui-helper.js:140
> +        var rects = window.getSelection().getRangeAt(0).getClientRects();
> +        var x = rects[0].left;
> +        var y = rects[0].top;

Use const.

> LayoutTests/resources/ui-helper.js:149
> +        } else {
> +            await UIHelper.doubleClickAt(x, y);
> +        }

No curly braces around a single line statement.
Comment 72 Megan Gardner 2019-02-15 16:48:56 PST
Created attachment 362183 [details]
Patch
Comment 73 Ryosuke Niwa 2019-02-16 00:30:33 PST
Comment on attachment 362183 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=362183&action=review

> LayoutTests/editing/deleting/smart-delete-003.html:1
> +<html> 

Missing DOCTYPE.

> LayoutTests/editing/deleting/smart-delete-004.html:1
> +<html> 

Missing DOCTYPE.

> LayoutTests/resources/ui-helper.js:137
> +        var rects = window.getSelection().getRangeAt(0).getClientRects();

Use const?
Comment 74 Megan Gardner 2019-02-18 08:15:18 PST
Created attachment 362298 [details]
Patch for landing
Comment 75 WebKit Commit Bot 2019-02-18 08:53:39 PST
Comment on attachment 362298 [details]
Patch for landing

Clearing flags on attachment: 362298

Committed r241719: <https://trac.webkit.org/changeset/241719>
Comment 76 WebKit Commit Bot 2019-02-18 08:53:41 PST
All reviewed patches have been landed.  Closing bug.
Comment 77 Radar WebKit Bug Importer 2019-02-18 08:55:39 PST
<rdar://problem/48165555>